ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Greg Roodt <gro...@gmail.com>
Subject Re: annotations are only available if source level is 5.0
Date Wed, 29 Jul 2009 12:07:56 GMT
Try this:

<javac srcdir="${src}" classpathref="classpath" destdir="${bin}"
target="1.5" source="1.5" />


On Wed, Jul 29, 2009 at 1:00 PM, jann1 <jann1@uni-landau.de> wrote:

> Hello all,
> opensuse11.1, openbravoERP-250MP2:
> ant install.source produces the following error:
> ----
> compile:
>    [javac] Compiling 1 source file to
> /tmp/OpenbravoERP-2.50MP2/src-db/build/classes
>    [javac] ----------
>    [javac] 1. ERROR in
> /tmp/OpenbravoERP-2.50MP2/src-db/src/com/openbravo/db/OpenbravoExcludeFilter.java
> (at line 23)
>    [javac]     @Override
>    [javac]     ^^^^^^^^^
>    [javac] Syntax error, annotations are only available if source level is
> 5.0
>    [javac] ----------
>    [javac] 1 problem (1 error)
> BUILD FAILED
> /tmp/OpenbravoERP-2.50MP2/build.xml:493: The following error occurred while
> executing this line:
> /tmp/OpenbravoERP-2.50MP2/build.xml:462: The following error occurred while
> executing this line:
> /tmp/OpenbravoERP-2.50MP2/src-db/build.xml:42: Compile failed; see the
> compiler error output for details.
> ----
> how to set the source level to 5.0 ????
> or any ohter hints to get his running....
> thx for ansering
> Hermann
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message